#!/bin/sh
#############################################
# SLOW.RUN
#	A script that runs the milter in the
#	foreground, for as long as the 
#	semaphore file exists. In the event
#	that the milter dies unexpectly,
#	it is automatically restarted.
# 
# This script is called from slow.init.
#############################################

while [ -f ${MILTERDIR}/${MILTERSEMAPHORE} ]
do
	${MILTERDIR}/${MILTER} ${MILTERARGS}
	sleep $MILTERSLEEP
	if [ -f ${MILTERDIR}/${MILTERSEMAPHORE} ]; then
		logger -p mail.alert -t ${MILTER} "died and was restarted";
	fi
done
exit 0
